Skip to main content
GET
/
api
/
v1
/
prompts
/
{slug}
/
{version}
Get a prompt revision by the prompt’s slug and version
curl --request GET \
  --url https://promptjuggler.com/api/v1/api/v1/prompts/{slug}/{version} \
  --header 'Authorization: Bearer <token>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "promptId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "memory": "stateless",
  "provider": "openai",
  "model": "gpt-5.4",
  "modelParams": {
    "maxCompletionTokens": null,
    "temperature": null,
    "topP": null,
    "verbosity": null,
    "reasoningEffort": null,
    "reasoningSummary": null,
    "serviceTier": "default"
  },
  "responseFormat": {
    "type": "text"
  },
  "messages": [
    {
      "role": "assistant",
      "content": "<string>"
    }
  ],
  "tools": [
    {
      "type": "web_search",
      "allowedDomains": [
        "<string>"
      ]
    }
  ],
  "systemInstruction": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.promptjuggler.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slug
string
required

Prompt Handle

version
required

Specific version or tag or id

Response

Prompt Revision

Prompt revision

id
string<uuid>
required

Prompt revision ID.

promptId
string<uuid>
required

Prompt ID.

memory
enum<string>
required

Memory mode.

Available options:
stateless,
read_only,
read_write,
write_only
provider
enum<string>
required

AI provider.

Available options:
openai,
gemini,
anthropic
model
enum<string>
required

AI model.

Available options:
gpt-5.4,
gpt-5.4-mini,
gpt-5.4-nano,
gpt-5.4-pro,
gpt-5.2,
gpt-5.2-chat-latest,
gpt-5.2-pro,
gpt-5.1,
gpt-5,
gpt-5-pro,
gpt-5-mini,
gpt-5-nano,
gpt-4.1,
gpt-4.1-mini,
o3,
o3-pro,
o1-mini,
gpt-4o,
chatgpt-4o-latest,
codex-mini-latest,
gpt-4o-mini,
gpt-4-32k,
gpt-3.5-turbo-16k,
gemini-3-pro-preview,
gemini-3-flash-preview,
gemini-2.5-pro,
gemini-2.5-flash,
gemini-2.5-flash-lite,
gemini-2.0-flash,
gemini-2.0-flash-lite,
claude-opus-4-7,
claude-opus-4-6,
claude-opus-4-5,
claude-opus-4-1,
claude-sonnet-4-6,
claude-sonnet-4-5,
claude-haiku-4-5
modelParams
object
required

Model parameters.

responseFormat
TextFormat · object
required

AI model response format.

messages
object[]
required

User and assistant messages.

tools
(WebSearch · object | HttpCall · object | ScriptCall · object | Mcp · object | PromptCall · object | WorkflowCall · object | KnowledgeSearch · object)[]
required

Available tools.

Built-in web search.

systemInstruction
string | null

The system prompt.